Bug 1572360 - Please update (version 2.12 available)
Summary: Please update (version 2.12 available)
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-magit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Tulio Magno Quites Machado Filho
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 19:45 UTC by Robbie Harwood
Modified: 2021-01-29 12:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:25:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Robbie Harwood 2018-04-26 19:45:31 UTC
Upstream has a significantly newer version (2.12) available than what is in Fedora: https://raw.githubusercontent.com/magit/magit/master/Documentation/RelNotes/2.12.0.txt

It's likely going to be harder making this old version work with newer emacs going forward, so it's a good idea to update.  Thanks!

Comment 1 Ben Cotton 2019-05-02 21:53:53 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 19:57:47 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Robbie Harwood 2019-05-28 21:18:15 UTC
*Yikes.*  Please orphan this package if you're not going to maintain it.

Comment 4 Ben Cotton 2019-05-28 21:25:16 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Robbie Harwood 2019-05-28 21:41:05 UTC
Bad bot, no botsnack.

Comment 6 Markus Armbruster 2020-08-28 12:10:27 UTC
Upstream is at 2.90.1.  Version 1.2.2 has been obsolete for more than five years.  Shipping such an old version is worse than not shipping anything, in my opinion.  Please update, orphan or retire this package.

Comment 7 Fedora Admin user for bugzilla script actions 2020-09-05 02:50:36 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 8 Tulio Magno Quites Machado Filho 2020-09-11 00:15:42 UTC
magit 2.4.1 has just landed Fedora Rawhide.
That's the latest magit version that I was able to package using current packages on Fedora.
I'm starting to package the other requirements so that Fedora can get magit 2.90.1.

Comment 9 Tulio Magno Quites Machado Filho 2021-01-29 11:19:04 UTC
A newer emacs-magit just landed on Fedora Rawhide for Fedora 34.
https://bodhi.fedoraproject.org/updates/FEDORA-2021-ea002d0f27

Tests and comments are welcome!

Comment 10 Jens Petersen 2021-01-29 12:58:30 UTC
Wow


Note You need to log in before you can comment on or make changes to this bug.